Package org.gradle.api.publish.maven

# Interface MavenPomRelocation

@NullMarked public interface MavenPomRelocation
The relocation information of a Maven publication that has been moved to a new group and/or artifact ID.

Since:
  4.8
See Also:
  - `MavenPom`
  - `MavenPomDistributionManagement`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getArtifactId()`
  The new artifact ID of the artifact.
  `Property<String>`
  `getGroupId()`
  The new group ID of the artifact.
  `Property<String>`
  `getMessage()`
  The message to show the user for this relocation.
  `Property<String>`
  `getVersion()`
  The new version of the artifact.

- ## Method Details

  - ### getGroupId

    Property<String> getGroupId()
    The new group ID of the artifact.

  - ### getArtifactId

    Property<String> getArtifactId()
    The new artifact ID of the artifact.

  - ### getVersion

    Property<String> getVersion()
    The new version of the artifact.

  - ### getMessage

    Property<String> getMessage()
    The message to show the user for this relocation.